<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateShipmentTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sd_shipment', function (Blueprint $table) {
            $table->id('shipment_id');
            $table->string('shipment_no', 50);
            $table->integer('shipment_type');
            $table->date('loading_date');
            $table->integer('customer_order_id')->nullable();
            $table->integer('freight_by');
            $table->string('no_of_container', 10)->nullable();
            $table->integer('container_type')->nullable();
            $table->integer('user_id');
            $table->integer('status');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shipment');
    }
}
