@extends('sd::layouts.app')

@section('head')
    <!-- DataTable -->
    <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ Module::asset('sd:css/settings.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ url('vendors/dropzone/dropzone.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}" type="text/css">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    {{-- <script>
        var user_type = "{{ Auth::user()->user_type }}";

        var status_permission = "{{ Auth::user()->can('pp_order_list_status') }} ";
        var edit_permission = "{{ Auth::user()->can('pp_order_list_edit') }} ";
        var view_permission = "{{ Auth::user()->can('pp_order_list_view') }} ";
        var delete_permission = "{{ Auth::user()->can('pp_order_list_delete') }} ";
    </script> --}}
    <style>
        .modal-body {
            height: 80vh;
            overflow-y: auto;
        }
    </style>
@endsection

@section('content')
    <div class="page-header">
        <div>
            <h3></h3>
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item">
                        <a href="#">Home</a>
                    </li>
                    <li class="breadcrumb-item">
                        <a href="#">Pages</a>
                    </li>
                    <li class="breadcrumb-item active" aria-current="page">B/L Instruction</li>
                </ol>
            </nav>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="card ">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-12 border">
                            <div class="row border-bottom bg-light" style="padding: 10px;">
                                <h6>B/L Instruction</h6>
                            </div>
                            <form method="POST" id="formSchedule">
                                <input type="hidden" id="hidScheduleOrderId">
                                <div class="row">
                                    <div class="col-md-6 mt-3">
                                        <div class="input-group mb-2 mr-sm-2">
                                            <div class="input-group-prepend">
                                                <div class="input-group-text form-control form-control-sm">
                                                    Shipment</div>
                                            </div>
                                            <select id="shipment" name="shipment" class="form-control form-control-sm">
                                                <option value=""> -- Select Shipment No -- </option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mt-3">
                                        <div class="input-group mb-2 mr-sm-2">
                                            <div class="input-group-prepend">
                                                <div class="input-group-text form-control form-control-sm">Shipping Agent
                                                </div>
                                            </div>
                                            <select id="shipping_agent" name="shipping_agent"
                                                class="form-control form-control-sm">
                                                <option value=""> -- Select Shipping Agent -- </option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-6 mt-3">
                                        <div class="input-group mb-2 mr-sm-2">
                                            <div class="input-group-prepend">
                                                <div class="input-group-text form-control form-control-sm">Customer Order No
                                                </div>
                                            </div>
                                            <input type="text" class="form-control form-control-sm" autocomplete="off"
                                                id="txtCustomerOrderNo" name="txtCustomerOrderNo">
                                        </div>
                                    </div>
                                    <div class="col-md-6 mt-3">
                                        <div class="input-group mb-2 mr-sm-2">
                                            <div class="input-group-prepend">
                                                <div class="input-group-text form-control form-control-sm"
                                                    autocomplete="off">Factory Po
                                                </div>
                                            </div>
                                            <input type="text" class="form-control form-control-sm" autocomplete="off"
                                                id="txtFactoryPo" name="txtFactoryPo">
                                        </div>
                                    </div>
                                </div>
                                <hr>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group row">
                                            <label for="additional note" class="col-sm-1 col-form-label">
                                                Note</label>
                                            <div class="col-sm-11">
                                                <textarea class="form-control" id="txtAdditionalNote"></textarea>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <h6>Add Attachments</h6>
                                <button type="button" class="btn btn-primary mb-2" id="btnScheduleAttachment">
                                    <i class="fa fa-plus" aria-hidden="true"></i>
                                </button>
                                <div class="col-md-12 mt-4">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="table-responsive">
                                                <!-- Required for Responsive -->
                                                <table id="tblScheduleAttachment" class="table table-striped  datatable">
                                                    <thead>
                                                        <tr>
                                                            <th>Title</th>
                                                            <th>View</th>
                                                            <th>Down</th>
                                                            <th>Delete</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody></tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row border">
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-md-12 mt-2 mb-2" style="text-align: right;">
                                                <button id="btnScheduleAction" type="button"
                                                    class="btn btn-light form-control-sm">Save</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>


                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>


    <!--Scheduled Attachment-->
    <div class="modal fade" id="attachmentScheduledModal" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header" style="border:1px solid black;border-bottom:0px">
                    <h5 class="modal-title" id="attachmentScheduledModalTitle">Add attachment here</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <i class="ti-close"></i>
                    </button>
                </div>
                <div class="modal-body" id="attachmentScheduledModalBody" style="border:1px solid black;border-top:0px;">
                    <div class="row">
                        <div class="col-md-12 mb-3">
                            <label>Description</label>
                            <textarea id="txtScheduleDescription" class="form-control" name="scheduleDescription"></textarea>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <label>Attachment</label>
                            <form class="dropzone" method="POST" id="scheduledDropzone" name="scheduledDropzone">
                                @csrf
                                <!--<input type="hidden" id="order_id_schedule" name="order_id_schedule" value="">!-->
                                <input type="hidden" id="attachmnet_schedule_token" name="attachmnet_token"
                                    value="">
                                <div class="fallback">
                                    <input name="file" type="file" multiple />
                                </div>
                            </form>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" id="btnSaveAttachment" class="btn btn-primary" hidden>Save</button>
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection

<!-- Javascript -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
    <!-- DataTable -->
    <script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>
    <script src="{{ url('assets/js/examples/datatable.js') }}"></script>
    <script src="{{ url('vendors/dropzone/dropzone.js') }}"></script>
    <script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>
    <script src="{{ Module::asset('sd:js/svr.js') }}?random=<?php echo uniqid(); ?>"></script>
    <script src="{{ Module::asset('sd:js/bl_instruction.js') }}?random=<?php echo uniqid(); ?>"></script>

    <!-- Prism -->
    <script src="{{ url('vendors/prism/prism.js') }}"></script>
    <!-- Sweet alert -->
    <script src="{{ url('assets/js/examples/sweet-alert.js') }}"></script>
@endsection
